Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.util
Class SessionIdGenerator

    java.lang.Object
      org.apache.catalina.util.SessionIdGenerator

    public class SessionIdGenerator

extends Object

Constructor Summary
`SessionIdGenerator()`

Method Summary
`String` | `generateSessionId()` Generate and return a new session identifier.
`void` | `setJvmRoute(String jvmRoute)` Specify the node identifier associated with this node which will be included in the generated session ID.
`void` | `setSecureRandomAlgorithm(String secureRandomAlgorithm)` Specify a non-default algorithm to use to generate random numbers.
`void` | `setSecureRandomClass(String secureRandomClass)` Specify a non-default @{link `SecureRandom` implementation to use.
`void` | `setSecureRandomProvider(String secureRandomProvider)` Specify a non-default provider to use to generate random numbers.
`void` | `setSessionIdLength(int sessionIdLength)` Specify the number of bytes for a session ID

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SessionIdGenerator

    public SessionIdGenerator()

Method Detail

### setSecureRandomClass

    public void setSecureRandomClass(String secureRandomClass)

  Specify a non-default @{link `SecureRandom` implementation to use.

  Parameters:
    `secureRandomClass` - The fully-qualified class name

### setSecureRandomAlgorithm

    public void setSecureRandomAlgorithm(String secureRandomAlgorithm)

  Specify a non-default algorithm to use to generate random numbers.

  Parameters:
    `secureRandomAlgorithm` - The name of the algorithm

### setSecureRandomProvider

    public void setSecureRandomProvider(String secureRandomProvider)

  Specify a non-default provider to use to generate random numbers.

  Parameters:
    `secureRandomProvider` - The name of the provider

### setJvmRoute

    public void setJvmRoute(String jvmRoute)

  Specify the node identifier associated with this node which will be included in the generated session ID.

  Parameters:
    `jvmRoute` - The node identifier

### setSessionIdLength

    public void setSessionIdLength(int sessionIdLength)

  Specify the number of bytes for a session ID

  Parameters:
    `sessionIdLength` - Number of bytes

### generateSessionId

    public String generateSessionId()

  Generate and return a new session identifier.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.